=== modified file 'drizzled/key_map.h'
--- drizzled/key_map.h	2009-08-30 00:26:17 +0000
+++ drizzled/key_map.h	2009-10-06 19:55:41 +0000
@@ -20,7 +20,6 @@
 #ifndef DRIZZLED_KEY_MAP_H
 #define DRIZZLED_KEY_MAP_H
 
-#include <drizzled/global.h>
 #include <drizzled/definitions.h>
 
 #include <bitset>

=== modified file 'drizzled/table_reference.h'
--- drizzled/table_reference.h	2009-07-11 19:15:43 +0000
+++ drizzled/table_reference.h	2009-10-06 19:55:41 +0000
@@ -28,7 +28,6 @@
 #ifndef DRIZZLED_TABLE_REFERENCE_H
 #define DRIZZLED_TABLE_REFERENCE_H
 
-#include <drizzled/global.h>
 #include <drizzled/base.h>
 #include <drizzled/sql_bitmap.h>
 

=== modified file 'mystrings/ctype-bin.cc'
--- mystrings/ctype-bin.cc	2009-07-07 09:06:29 +0000
+++ mystrings/ctype-bin.cc	2009-10-06 19:55:41 +0000
@@ -18,6 +18,7 @@
 /* This file is for binary pseudo charset, created by bar@mysql.com */
 
 
+#include "drizzled/global.h"
 #include "m_string.h"
 #include "m_ctype.h"
 

=== modified file 'mystrings/ctype-mb.cc'
--- mystrings/ctype-mb.cc	2009-07-09 00:04:44 +0000
+++ mystrings/ctype-mb.cc	2009-10-06 19:55:41 +0000
@@ -13,6 +13,8 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
+#include "drizzled/global.h"
+
 #include "m_string.h"
 #include "m_ctype.h"
 

=== modified file 'mystrings/ctype-simple.cc'
--- mystrings/ctype-simple.cc	2009-06-24 22:50:51 +0000
+++ mystrings/ctype-simple.cc	2009-10-06 19:55:41 +0000
@@ -13,6 +13,8 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
+#include "drizzled/global.h"
+
 #include "m_string.h"
 #include "m_ctype.h"
 #include <errno.h>

=== modified file 'mystrings/ctype-utf8.cc'
--- mystrings/ctype-utf8.cc	2009-07-07 09:06:29 +0000
+++ mystrings/ctype-utf8.cc	2009-10-06 19:55:41 +0000
@@ -18,6 +18,8 @@
 /* UTF8 according RFC 2279 */
 /* Written by Alexander Barkov <bar@udm.net> */
 
+#include "drizzled/global.h"
+
 #include <mystrings/m_string.h>
 #include <mystrings/m_ctype.h>
 #include <errno.h>

=== modified file 'mystrings/dtoa.cc'
--- mystrings/dtoa.cc	2009-08-05 05:08:32 +0000
+++ mystrings/dtoa.cc	2009-10-06 19:55:41 +0000
@@ -35,6 +35,8 @@
 
  ***************************************************************/
 
+#include "drizzled/global.h"
+
 #include <mystrings/m_string.h>  /* for memcpy and NOT_FIXED_DEC */
 #include <stdlib.h>
 

=== modified file 'mystrings/int2str.cc'
--- mystrings/int2str.cc	2009-01-19 07:30:16 +0000
+++ mystrings/int2str.cc	2009-10-06 19:55:41 +0000
@@ -13,6 +13,7 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
+#include "drizzled/global.h"
 #include "m_string.h"
 
 /*

=== modified file 'mystrings/longlong2str.cc'
--- mystrings/longlong2str.cc	2009-02-21 00:18:15 +0000
+++ mystrings/longlong2str.cc	2009-10-06 19:55:41 +0000
@@ -37,6 +37,8 @@
 	itoa assumes that 10 -base numbers are allways signed and other arn't.
 */
 
+#include "drizzled/global.h"
+
 #include "m_string.h"
 
 #if !defined(int64_t2str) && !defined(HAVE_LONGLONG2STR)

=== modified file 'mystrings/m_string.h'
--- mystrings/m_string.h	2009-08-30 00:26:17 +0000
+++ mystrings/m_string.h	2009-10-06 19:55:41 +0000
@@ -22,8 +22,6 @@
 #ifndef MYSTRINGS_M_STRING_H
 #define MYSTRINGS_M_STRING_H
 
-#include "drizzled/global.h"
-
 #ifndef __USE_GNU
 #define __USE_GNU				/* We want to use my_stpcpy */
 #endif

=== modified file 'mysys/my_time.h'
--- mysys/my_time.h	2009-08-30 00:26:17 +0000
+++ mysys/my_time.h	2009-10-06 19:55:41 +0000
@@ -26,7 +26,6 @@
 #ifndef MYSYS_MY_TIME_H
 #define MYSYS_MY_TIME_H
 
-#include "drizzled/global.h"
 #include "drizzle_time.h"
 
 #ifdef __cplusplus

=== modified file 'mysys/sha1.cc'
--- mysys/sha1.cc	2008-11-07 00:35:38 +0000
+++ mysys/sha1.cc	2009-10-06 19:55:41 +0000
@@ -48,6 +48,8 @@
      - More comments
 */
 
+#include "drizzled/global.h"
+
 #include <mystrings/m_string.h>
 #include "sha1.h"
 

=== modified file 'plugin/myisam/keycache.h'
--- plugin/myisam/keycache.h	2009-08-30 00:26:17 +0000
+++ plugin/myisam/keycache.h	2009-10-06 19:55:41 +0000
@@ -18,8 +18,6 @@
 #ifndef PLUGIN_MYISAM_KEYCACHE_H
 #define PLUGIN_MYISAM_KEYCACHE_H
 
-#include "drizzled/global.h"
-
 #ifdef __cplusplus
 extern "C" {
 #endif

